### Method

# Secret Service lookup_finish

#### Declaration [src]

    SecretValue*
    secret_service_lookup_finish (
      SecretService* service,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish asynchronous operation to lookup a secret value in the secret service.

If no secret is found then `NULL` is returned.

#### Parameters

`service`

  Type: `SecretService`

  The secret service.

  The argument can be `NULL`.

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretValue`

A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.